# $Revision: 1.11 $, $Date: 2002/08/02 22:31:26 $
Summary:	Form and menu language interpreter
Summary(pl):	Interpreter jzyka formularzy i menu
Name:		cursel
Version:	0.1.9
Release:	4
License:	GPL
Group:		Applications/Terminal
Source0:	http://users.pandora.be/stes/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	objc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CURSEL is a FMLI implementation, a small language that allows you to
quickly make a form- and menu- based character interface to shell
scripts and other programs.

%description -l pl
CURSEL jest implementacj FMLI (Form and Menu Language Interpreter).
Niewielki jzyk pozwalajcy na szybkie tworzenie interfejsu
uytkownika do skryptw powoki lub innych programw.

%prep
%setup  -q

%build
%{__autoconf}
%configure
%{__make} \
	OBJC="%{_bindir}/objc -Wc:%{rpmcflags} -I%{_includedir}/ncurses"\
	LIBS="-lform -lmenu -lncurses %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cursel.spec,v $
Revision 1.11  2002/08/02 22:31:26  marcus
- rel.4.
- use new %%doc

Revision 1.10  2002/08/02 22:28:30  marcus
- fixed building on ppc

Revision 1.9  2002/05/21 23:12:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/25 16:08:19  arturs
fixed a small typo

Revision 1.7  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:12:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/16 19:42:58  misiek
- fix build on archs other than builders arch; release 3

Revision 1.4  2001/10/11 12:19:39  qboosh
- typo, BuildRequires: autoconf

Revision 1.3  2001/08/09 21:18:06  blues
- Release 2
- ac 2.5 ready

Revision 1.2  2001/04/22 02:25:10  kloczek
- cosmetics.

Revision 1.1  2001/04/19 15:57:26  misiek
FMLI (Form and Menu Language Interpreter) implementation
